net/fwknop - The NetBSD Packages Collection

Port knocking via Single Packet Authorization (SPA)

fwknop stands for the "FireWall KNock OPerator", and implements an authorization
scheme called Single Packet Authorization (SPA). This method of authorization is
based around a default-drop packet filter (fwknop supports iptables and
firewalld on Linux, ipfw on FreeBSD and Mac OS X, and PF on OpenBSD) and
libpcap. SPA is essentially next generation port knocking.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf

Runtime dependencies

security/gnupg net/wget security/gnupg2 security/gpgme security/gpgme

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffwknop-2.6.9.tgz
NetBSD 8.0earmv7hffwknop-2.6.9.tgz
NetBSD 8.0earmv7hffwknop-2.6.9.tgz
NetBSD 8.0i386fwknop-2.6.9.tgz
NetBSD 8.0i386fwknop-2.6.9.tgz
NetBSD 8.0i386fwknop-2.6.9.tgz
NetBSD 8.0powerpcfwknop-2.6.9.tgz
NetBSD 8.0powerpcfwknop-2.6.9.tgz
NetBSD 8.0powerpcfwknop-2.6.9.tgz
NetBSD 8.0powerpcfwknop-2.6.9.tgz
NetBSD 8.0x86_64fwknop-2.6.9.tgz
NetBSD 8.0x86_64fwknop-2.6.9.tgz
NetBSD 8.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0aarch64fwknop-2.6.9.tgz
NetBSD 9.0aarch64fwknop-2.6.9.tgz
NetBSD 9.0aarch64fwknop-2.6.9.tgz
NetBSD 9.0alphafwknop-2.6.9.tgz
NetBSD 9.0alphafwknop-2.6.9.tgz
NetBSD 9.0alphafwknop-2.6.9.tgz
NetBSD 9.0earmv6hffwknop-2.6.9.tgz
NetBSD 9.0earmv6hffwknop-2.6.9.tgz
NetBSD 9.0earmv6hffwknop-2.6.9.tgz
NetBSD 9.0earmv6hffwknop-2.6.9.tgz
NetBSD 9.0earmv7hffwknop-2.6.9.tgz
NetBSD 9.0earmv7hffwknop-2.6.9.tgz
NetBSD 9.0earmv7hffwknop-2.6.9.tgz
NetBSD 9.0earmv7hffwknop-2.6.9.tgz
NetBSD 9.0earmv7hffwknop-2.6.9.tgz
NetBSD 9.0i386fwknop-2.6.9.tgz
NetBSD 9.0i386fwknop-2.6.9.tgz
NetBSD 9.0i386fwknop-2.6.9.tgz
NetBSD 9.0mips64ebfwknop-2.6.9.tgz
NetBSD 9.0mips64ebfwknop-2.6.9.tgz
NetBSD 9.0mips64ebfwknop-2.6.9.tgz
NetBSD 9.0powerpcfwknop-2.6.9.tgz
NetBSD 9.0powerpcfwknop-2.6.9.tgz
NetBSD 9.0powerpcfwknop-2.6.9.tgz
NetBSD 9.0powerpcfwknop-2.6.9.tgz
NetBSD 9.0sparc64fwknop-2.6.9.tgz
NetBSD 9.0sparc64fwknop-2.6.9.tgz
NetBSD 9.0sparc64fwknop-2.6.9.tgz
NetBSD 9.0sparcfwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz
NetBSD 9.0x86_64fwknop-2.6.9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.